Webhooks
Webhook subscriptions, their secrets, test events and deliveries, and the replay of past events to a subscription.
| Operation | Summary | Scope | Released in | Phase 0 host |
|---|---|---|---|---|
GET /v1/webhooks | List Webhook subscriptions | webhooks:read | 1.63.0 | served |
POST /v1/webhooks | Create a Webhook subscription | webhooks:write | 1.63.0 | served |
GET /v1/webhooks/{webhook_id} | Read a Webhook subscription | webhooks:read | 1.63.0 | served |
PATCH /v1/webhooks/{webhook_id} | Update a Webhook subscription | webhooks:write | 1.63.0 | served |
DELETE /v1/webhooks/{webhook_id} | Delete a Webhook subscription | webhooks:write | 1.63.0 | served |
GET /v1/webhooks/{webhook_id}/deliveries | List a Webhook subscription's deliveries | webhooks:read | 1.63.0 | served |
POST /v1/webhooks/{webhook_id}/enable | Enable a disabled Webhook subscription | webhooks:write | 1.63.0 | served |
POST /v1/webhooks/{webhook_id}/replay | Replay the events of a time window to a Webhook subscription | webhooks:write | 1.52.0 | served |
POST /v1/webhooks/{webhook_id}/rotate-secret | Rotate a Webhook subscription's secret | webhooks:write | 1.63.0 | served |
POST /v1/webhooks/{webhook_id}/test | Send a test event to a Webhook subscription | webhooks:write | 1.63.0 | served |